{
  inputs = {
    nixpkgs = {
      url = "github:NixOS/nixpkgs/release-23.05";
    };
    sops-nix = {
      url = "github:Mic92/sops-nix";
      # Follow the system nixpkgs
      inputs.nixpkgs.follows = "nixpkgs";
    };
    nix-matlab = {
      url = "gitlab:doronbehar/nix-matlab";
      # Follow the system nixpkgs
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };
  outputs = { self, nixpkgs, sops-nix, nix-matlab }@attrs: {
    nixosConfigurations.kcnhub = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = attrs;
      modules = [ 
         ./machines/kcnhub/configuration.nix
         sops-nix.nixosModules.sops
      ];
    };
  };
}
